apiVersion: v1
kind: Service
metadata:
  name: proxy
  namespace: default
  annotations:
    ingress.kubernetes.io/target-proxy: https-target
  labels:
    app: proxy
spec:
  type: NodePort
  ports:
  - port: 80
    targetPort: 80
  selector:
    app: proxy
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: proxy
  namespace: default
spec:
  selector:
    matchLabels:
      app: proxy
  replicas: 1
  template:
    metadata:
      labels:
        app: proxy
    spec:
      imagePullSecrets:
      - name: regcred
      containers:
      - name: proxy
        image: siscc/dotstatsuite-kube-proxy:latest
        env:
        - name: CONFIG_URL
          value: "http://config.staging.svc.cluster.local"
        ports:
        - name: liveness-port
          containerPort: 80
        readinessProbe:
          httpGet:
            path: /_healthcheck_
            port: liveness-port
